//: C03:ICompare.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <cassert>
#include <iostream>
#include "ichar_traits.h"
using namespace std;

int main() {
  // Stejná písmena s různou velikostí:
  istring prvni = "tOto";
  istring druhy = "ToTO";
  cout << prvni << endl;
  cout << druhy << endl;
  assert(prvni.compare(druhy) == 0);
  assert(prvni.find('o') == 1);
  assert(prvni.find('T') == 0);
  assert(prvni.find('x') == string::npos);
} ///:~